1 files changed, 8 insertions, 0 deletions
diff --git a/demo/start.sh b/demo/start.sh
index 572dbfab0b..dcc4d6f4fa 100755
--- a/demo/start.sh
+++ b/demo/start.sh
@@ -25,6 +25,7 @@ for port in 8080 8081 8082; do
--generate-config \
-H "localhost:$https_port" \
--config-path "$DIR/etc/$port.config" \
+ --report-stats no
# Check script parameters
if [ $# -eq 1 ]; then
@@ -37,6 +38,13 @@ for port in 8080 8081 8082; do
perl -p -i -e 's/^enable_registration:.*/enable_registration: true/g' $DIR/etc/$port.config
+ if ! grep -F "full_twisted_stacktraces" -q $DIR/etc/$port.config; then
+ echo "full_twisted_stacktraces: true" >> $DIR/etc/$port.config
+ fi
+ if ! grep -F "report_stats" -q $DIR/etc/$port.config ; then
+ echo "report_stats: false" >> $DIR/etc/$port.config
+ fi
+
python -m synapse.app.homeserver \
--config-path "$DIR/etc/$port.config" \
-D \
|